Package svnmailer :: Package notifier :: Module _textnews :: Class TextNewsNotifier

[hide private]

# Class TextNewsNotifier

source code

            object --+
                     |
    _base.BaseNotifier --+
                         |
        _text.TextNotifier --+
                             |
            _mail.MailNotifier --+
                                 |
        _textmail.TextMailNotifier --+
                                     |
                                    TextNewsNotifier

Bases class for news notifiers

Instance Methods | [hide private]

sendMail(self, sender, to_addr, mail) Sends the news | source code

sendNews(self, posting) Sends the news | source code

`unicode`

getTransferEncoding(self) Returns the news transfer encoding | source code

`tuple`

composeHeaders(self, groups) Compose the informational headers of the mail | source code

`tuple`

getNewsAddresses(self, groups) Returns the substituted mail addresses (from/to/reply-to) | source code

Inherited from `_textmail.TextMailNotifier`: `composeMail`

Inherited from `_textmail.TextMailNotifier` (private): `_getMailWriter`, `_getTextMails`

Inherited from `_mail.MailNotifier`: `__init__`, `getBasicHeaders`, `getCustomHeaders`, `getMailAddresses`, `getMailSubject`, `getMails`, `run`, `writeNotification`

Inherited from `_mail.MailNotifier` (private): `_getPathString`, `_getPrefixedDirectories`, `_getPrefixedFiles`

Inherited from `_text.TextNotifier`: `getDate`, `writeContentDiff`, `writeContentDiffAction`, `writeDiff`, `writeDiffList`, `writeLockData`, `writeMetaData`, `writePathInfo`, `writePathList`, `writePropertyDiff`, `writePropertyDiffAction`, `writePropertyDiffs`, `writeRevPropData`

Inherited from `_text.TextNotifier` (private): `_doWritePathList`

Inherited from `_base.BaseNotifier`: `dumpContent`, `getAuthor`, `getContentDiffAction`, `getContentDiffUrl`, `getContentEncodingProperty`, `getContentEncodings`, `getDiffTokens`, `getDiffer`, `getEncodingFromMimeType`, `getLog`, `getPropertyDiffAction`, `getTempDir`, `getTempFile`, `getTime`, `getUrl`, `isBinaryProperty`, `isOneLineProperty`, `isUTF8Property`

Inherited from `_base.BaseNotifier` (private): `_getContentEncoding`

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables | [hide private]

| __implements__ = ``[`<class 'svnmailer.notifier._textmail.TextMai`...``
Inherited from `_mail.MailNotifier`: `COMMIT_SUBJECT`, `LOCK_SUBJECT`, `REVPROP_SUBJECT`, `UNLOCK_SUBJECT` Inherited from `_text.TextNotifier`: `OUTPUT_SEPARATOR`, `OUTPUT_SEPARATOR_LIGHT` Inherited from `_base.BaseNotifier`: `ADD`, `COPY`, `DELETE`, `ENC_CONFIG`, `ENC_DEFAULT`, `ENC_PROPERTY`, `MODIFY`, `NONE`, `PROPCHANGE` Inherited from `_base.BaseNotifier` (private): `_diffable_tests`

Instance Variables | [hide private]

Inherited from `_mail.MailNotifier` (private): `_header_re` Inherited from `_text.TextNotifier`: `changeset`, `config`, `differ`, `fp` Inherited from `_base.BaseNotifier` (private): `_groupset`, `_penc_cache`, `_settings`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### sendMail(self, sender, to_addr, mail)

source code

Sends the news

Parameters:
  - `sender` (`str`) - The mail sender (envelope from)
  - `to_addr` (`list`) - The receivers
  - `mail` (`_TextMail`) - The mail object
Overrides: _mail.MailNotifier.sendMail

### sendNews(self, posting)

source code

Sends the news

Parameters:
  - `posting` (`_textmail._TextMail`) - The posting object

### getTransferEncoding(self)

source code

Returns the news transfer encoding

Returns: `unicode`
  The configured value
Overrides: _mail.MailNotifier.getTransferEncoding

### composeHeaders(self, groups)

source code

Compose the informational headers of the mail

Parameters:
  - `groups` (`list`) - The groups to process
Returns: `tuple`
  sender (`unicode`), recipients (`list`), headers (`dict`)
Overrides: _mail.MailNotifier.composeHeaders

### getNewsAddresses(self, groups)

source code

Returns the substituted mail addresses (from/to/reply-to)

Parameters:
  - `groups` (`list`) - The groups to process
Returns: `tuple`
  The address lists (sender, from, to, reply-to)

Class Variable Details | [hide private]

### __implements__

Value:

      [<class 'svnmailer.notifier._textmail.TextMailNotifier'>]